package com.unis.base.server.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.github.pagehelper.PageHelper;
import com.unis.base.common.vo.TyJhxxmxbVO;
import com.unis.base.server.domain.TyJhxxmxbDomain;
import com.unis.base.server.service.TyJhxxmxbService;
import com.unis.common.utils.DateUtil;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyJhxxmxbServiceImpl
 * @ProjectName TyJhxxmxbServiceImpl
 * @Description
 * @date 2019/07/22 17点26分
 */
@Service
public class TyJhxxmxbServiceImpl implements TyJhxxmxbService {

	@Autowired
	private TyJhxxmxbDomain tyJhxxmxbDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<TyJhxxmxbVO> getTyJhxxmxbList(TyJhxxmxbVO tyJhxxmxbVO) {
		return tyJhxxmxbDomain.getTyJhxxmxbList(tyJhxxmxbVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<TyJhxxmxbVO> getTyJhxxmxbPage(TyJhxxmxbVO tyJhxxmxbVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return tyJhxxmxbDomain.getTyJhxxmxbList(tyJhxxmxbVO);
	}

	/**
	 * 添加
	 */
	@Override
	public int insert(TyJhxxmxbVO tyJhxxmxbVO) {
		String date = DateUtil.getCurrentDateTime16Str();
		tyJhxxmxbVO.setJhxxid("JH"+date);
		return tyJhxxmxbDomain.insert(tyJhxxmxbVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(TyJhxxmxbVO tyJhxxmxbVO) {
		return tyJhxxmxbDomain.update(tyJhxxmxbVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(String jhxxid) {
		//根据编号获取廒间信息
		TyJhxxmxbVO tyJhxxmxbVO = tyJhxxmxbDomain.getTyJhxxmxbById(jhxxid);
		if(tyJhxxmxbVO == null) {
			return -1;
		}
		tyJhxxmxbVO.setStatus(0);
		return tyJhxxmxbDomain.update(tyJhxxmxbVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public TyJhxxmxbVO getJhxxmxbByJhxxmxbid(String jhxxid) {
		return tyJhxxmxbDomain.getTyJhxxmxbById(jhxxid);
	}


}
